#include <OneWire.h>
#include <DallasTemperature.h>
#define DEBUG true
#define ONE_WIRE_BUS 3
OneWire oneWire(ONE_WIRE_BUS);
// Pass our oneWire reference to Dallas Temperature. 
DallasTemperature sensors(&oneWire);
void setup()
{
  Serial.begin(115200);
  sensors.begin();
}
 
void loop()
{
  sensors.requestTemperatures(); // Send the command to get temperatures
  float t=sensors.getTempCByIndex(0);
  sendData("AT\r\n",1000,DEBUG);
  sendData("AT+CMGF=1\r\n",2000,DEBUG);
  sendData("AT+CIPMUX=1\r\n",1000,DEBUG); 
  sendData("AT+CMGS=13632657950;\r\n",1000,DEBUG);
  sendData("Now Temperatures is:",1000,DEBUG);
  Serial.print(t);
  sendData("*C",1000,DEBUG);
  Serial.write(0x1A);  
  while(1);
}
 
 
String sendData(String command, const int timeout, boolean debug)
{
    String response = "";  
    Serial.print(command); // send the read character to the Serial   
    long int time = millis();   
    while( (time+timeout) > millis())
    {
      while(Serial.available())
      {        
        // The esp has data so display its output to the serial window 
        char c = Serial.read(); // read the next character.
        response+=c;
      }  
    }
    return response;
}
